/**
 * 主页逻辑  
 */
class Notice {
	private static _instance: Notice;
	static get instance(): Notice {
		if (!this._instance) {
			this._instance = new Notice();
		}
		return this._instance;
	}
	private uiNotice: UI_Notification;
	public constructor() {
	}

	getNoticeView(): UI_Notification {
		return this.uiNotice = UIController.instance.createView<UI_Notification>(UI_Notification);
	}
}